> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Add Video Conference Participants > Adds users as members of the conference. Membership allows a user to join the call, but does not add them to the conference's room, so they might not be able to read the call chat. Use `video-conference.info` to check `chatAccess`, and `video-conference.share-chat` to give members access to the chat. The response lists the user IDs of the members that were added. Users who are already members, usernames that do not exist, and calls that have ended result in no additions. You must be a member of the conference or have access to the conference's room or discussion. Requests are limited to 5 per minute per client IP address. ### Changelog | Version | Description | | ------- | ----------- | | 8.9.0 | Added | ## OpenAPI ````json POST /api/v1/video-conference.add-participants { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/video-conference.add-participants": { "post": { "tags": [ "Video Conference" ], "summary": "Add Video Conference Participants", "description": "Adds users as members of the conference. Membership allows a user to join the call, but does not add them to the conference's room, so they might not be able to read the call chat. Use `video-conference.info` to check `chatAccess`, and `video-conference.share-chat` to give members access to the chat.\n\nThe response lists the user IDs of the members that were added. Users who are already members, usernames that do not exist, and calls that have ended result in no additions.\n\nYou must be a member of the conference or have access to the conference's room or discussion. Requests are limited to 5 per minute per client IP address.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.9.0 | Added |", "operationId": "post-api-v1-video-conference.add-participants", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "type": "object", "required": [ "callId", "users" ], "additionalProperties": false, "properties": { "callId": { "type": "string", "description": "The video conference call ID.", "example": "697887e3c8b0533020781a4a" }, "users": { "type": "array", "description": "The usernames (not user IDs) of the people to add. Enter between 1 and 10 usernames.", "example": [ "sam.okafor", "lee.chen" ], "minItems": 1, "maxItems": 10, "items": { "type": "string" } }, "ring": { "type": "boolean", "default": false, "description": "Whether to ring the people being added. Defaults to `false`. Ringing also requires the `videoconf-ring-users` permission; without it, the users are added without being rung." } } }, "examples": { "Example": { "value": { "callId": "697887e3c8b0533020781a4a", "users": [ "sam.okafor", "lee.chen" ], "ring": true } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "added": { "type": "array", "description": "The user IDs of the members that were added.", "items": { "type": "string" } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "added": [ "kP3wQz8LmNvT5rXyB", "Hn4tYw9QeVb2LsJxR" ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing Parameter": { "value": { "success": false, "error": "must have required property 'callId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "404": { "description": "Not Found. The call does not exist, or you are neither a member of the conference nor able to access its room.", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Not Found": { "value": { "success": false, "error": "Resource not found" } } } } } } } } } }, "components": { "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````